package ru.ldeloff.servermonitorbot.service.command.cputemp;

import org.springframework.stereotype.Service;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.model.User;
import ru.ldeloff.servermonitorbot.service.command.CommandTemplate;
import ru.ldeloff.servermonitorbot.service.role.RoleService;
import ru.ldeloff.servermonitorbot.service.user.UserService;
import ru.ldeloff.servermonitorbot.utils.ui.uname.ServerListButtons;

@Service
public class CpuTempAggregateCommand extends CommandTemplate {
    final ServerListButtons serverListButtons;

    public CpuTempAggregateCommand(UserService userService, RoleService roleService, ServerListButtons serverListButtons) {
        super(userService, roleService);
        this.serverListButtons = serverListButtons;
    }

    @Override
    public SendMessage actionForAuth(User user, SendMessage message) {
        return serverListButtons.uiForm(message);
    }
}
